function testPositioning(images)

%number of components to use
comp = 20;
%comp = 107;    %optimal for PCAsvd

[x, U, D, g] = PCA(images, comp);
%[x, U, D, g] = PCAsvd(images, comp);

testset = 301:550;
correct = 0;
wrong = 0;
for i=testset
    approx = estimatePosition(images, i, g, U, x);
    actual = images{i}.position;
    dist = norm(actual - approx);
    if dist < 150
        correct = correct + 1;
    else
        wrong = wrong + 1;
    end
end

correct
wrong